[arch-commits] Commit in libgtop/trunk (PKGBUILD libgtop.install)

Jan de Groot jgc at archlinux.org
Sat Sep 27 15:48:28 EDT 2008


    Date: Saturday, September 27, 2008 @ 15:48:28
  Author: jgc
Revision: 13614

upgpkg: libgtop 2.24.0-1

Added:
  libgtop/trunk/libgtop.install
    (from rev 13613, libgtop/repos/gnome-i686/libgtop.install)
Modified:
  libgtop/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   16 ++++++++++------
 libgtop.install |   13 +++++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 19:41:04 UTC (rev 13613)
+++ PKGBUILD	2008-09-27 19:48:28 UTC (rev 13614)
@@ -2,23 +2,27 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libgtop
-pkgver=2.22.3
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="A library that read information about processes and the running system"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('glib2>=2.16.4' 'libxau')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
+depends=('glib2>=2.18.1' 'libxau' 'texinfo')
+install=libgtop.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
 options=('!libtool')
 url="http://www.gnome.org/"
-md5sums=('57764ad246ceb959f601505aa2364f1f')
+md5sums=('f0e3584b9157d3425184a9e21e3ac482')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --with-libgtop-smp --with-libgtop-inodedb \
 	      --with-linux-table || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+
+  rm -f "${pkgdir}/usr/share/info/dir"
+  gzip -9nf ${pkgdir}/usr/share/info/*
 }

Copied: libgtop/trunk/libgtop.install (from rev 13613, libgtop/repos/gnome-i686/libgtop.install)
===================================================================
--- libgtop.install	                        (rev 0)
+++ libgtop.install	2008-09-27 19:48:28 UTC (rev 13614)
@@ -0,0 +1,13 @@
+info_dir=/usr/share/info
+
+post_install() {
+  install-info ${info_dir}/libgtop2.info.gz ${info_dir}/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  install-info --delete ${info_dir}/libgtop2.info.gz ${info_dir}/dir 2> /dev/null
+}




More information about the arch-commits mailing list